Subject: Re: [ietf-smtp] Testing From-Munging

From: Alessandro Vesely <[email-masked]>
Date: Fri, 1 Apr 2022 12:42:45 +0200

On Wed 30/Mar/2022 18:36:15 +0200 dkg wrote:
> heh -- there are multiple forms of From-munging, i guess.  This test wasn't 
> about the "From:" header field (which i think is what you're talking about).  
> This test was about the "From " in the body of the message getting prefixed 
> with a ">" character, which it did.

I've been wondering how did it came.  While the message I'm replying to was correctly unmunged[*], that message with the >From was not.  I tried removing the > but couldn't verify the message just the same.  I couldn't understand why.

> It's a relic of the old mbox format, where each message started with a line 
> with "From ", so the message bodies that had that got a > prepended to them so 
> that they wouldn't start a new message.  This shouldn't really be happening on 
> modern systems for new messages,  though, since there are much better formats 
> than mbox available today.

 From me, anyway, software puts a space in front of a line starting with "From ", before signing.

Best
Ale
-- 

[*] The top of the header was:

Return-Path: <[email-masked]>
Authentication-Results: wmail.tana.it;
   spf=pass smtp.mailfrom=ietf.org;
   dkim=pass reason="Original-From: transformed" header.d=protonmail.com;
   dkim=pass (whitelisted) header.d=ietf.org
     header.b=WWoRKnFl;
   dkim=fail (signature verification failed, whitelisted) header.d=ietf.org
     header.b=HjTqFzsR
From: dkg <[email-masked]>
...
...